* {
    box-sizing: border-box;
}

body {
    margin: 0;
    font-family:'DM Sans';
    background: white;
}

header {
    width: 100%;
    background-color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
    position: sticky;
    top: 0;
    z-index: 10;
}

.language-selector {
    display: flex;
    align-items: center;
    gap: 5px;
}

.language-selector select {
    font-family: 'DM Sans';
    padding: 5px;
    border-radius: 4px;
    border: 1px solid #ccc;
}

.language-selector img {
    width: 20px;
    height: 14px;
    object-fit: cover;
}

.logo {
    font-size: 20px;
    font-weight: bold;
}

.auth-buttons {
    display: flex;
    gap: 10px;
}

.auth-buttons button {
    /* padding: 6px 14px; */
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-weight: 500;
    transition: background 0.3s ease;
}

.auth-buttons .login {
    background-color: transparent;
    color: #333;
    font-family: 'DM Sans';
}

.auth-buttons .signup {
    padding: 5px;
    background-color: #e4e4e4;
    color: #333;
    font-family: 'DM Sans';
}

.container {
    display: flex;
    align-items: center;
    justify-content: center;
    height: calc(100vh - 60px);
    /* subtract header height */
}

svg {
    width: min(90vw, 500px);
    height: auto;
}

.triangle {
    fill: #e4e4e4;
    stroke: white;
    stroke-width: 3;
    transition: fill 0.3s ease;
    cursor: pointer;
    filter: drop-shadow(0 0 1px rgba(0, 0, 0, 0.05));
}

.triangle:hover {
    fill: #d2d2d2;
}

text {
    font-family: 'DM Sans';
    font-size: 6px;
    fill: #111111ad;
    pointer-events: none;
}

@media (max-width: 500px) {
    text {
        font-size: 6px;
    }
}


/* اسلایس‌ها به‌صورت گروه <a> جابه‌جا می‌شن */
#slices a{
  transform-box: fill-box;
  transform-origin: center;
  transition: transform .28s cubic-bezier(.22,.61,.36,1), filter .28s ease;
}
#slices a:hover,
#slices a:focus-visible{
  transform: translate(var(--tx, 0), var(--ty, 0)) scale(1.015);
  filter: drop-shadow(0 0px 0px rgba(0,0,0,.2));
}

/* رنگ قبلی حفظ می‌شود */
.slice{
  fill:#e9e9e9;
  transition: fill .2s ease;
  cursor: pointer;
}
a:hover .slice{ fill:#eeeeee; }
